Agent Endpoint
Create a new agent endpoint
Creates a new agent endpoint for the authenticated project.
POST
/
v1
/
agent
/
endpoint
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentEndpoint = await client.agentEndpoint.create({
agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
direction: 'INCOMING',
value: 'value',
});
console.log(agentEndpoint.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_endpoint = client.agent_endpoint.create(
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
direction="INCOMING",
value="value",
)
print(agent_endpoint.data)curl --request POST \
--url https://api.roark.ai/v1/agent/endpoint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"environment": "production",
"outboundDialType": "NONE",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"environment": "<string>",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Input for creating an agent endpoint
Agent ID to associate this endpoint with
Phone number in E.164 format (e.g., +12345678900)
Call direction: INCOMING, OUTGOING, or INCOMING_AND_OUTGOING
Available options:
INCOMING, OUTGOING, INCOMING_AND_OUTGOING Environment name (default: production)
Outbound dial type: NONE or HTTP_REQUEST (default: NONE)
Available options:
NONE, HTTP_REQUEST ID of the HTTP request definition for outbound dialing (required when outboundDialType is HTTP_REQUEST)
Response
The created agent endpoint
Detailed agent endpoint response
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentEndpoint = await client.agentEndpoint.create({
agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
direction: 'INCOMING',
value: 'value',
});
console.log(agentEndpoint.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_endpoint = client.agent_endpoint.create(
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
direction="INCOMING",
value="value",
)
print(agent_endpoint.data)